KLDLOAD(8)

NAME
kldload - load a file into the kernel

SYNOPSIS
kldload [-v] file ...

DESCRIPTION
The kldload utility loads file.ko into the kernel using the kernel linker. Note that if multiple modules are specified then an attempt will be made to load them all, even if some fail. The .ko extension name is not mandatory when loading a given module using kldload. It doesn't hurt to specify it though.

The following option is available:

-v  Be more verbose.

FILES
/boot/kernel
    directory containing loadable modules. Modules must have an extension of .ko.

EXIT STATUS

AUTOMATICALLY LOADING MODULES
Some modules (pf, ipfw, ipf, etc.) may be automatically loaded at boot time when the corresponding rc.conf(5) statement is used. Modules may also be auto-loaded through their addition to loader.conf(5).

SEE ALSO
kldload(2), loader.conf(5), rc.conf(5), kldconfig(8), kldstat(8), kldunload(8)

HISTORY
The kldload utility first appeared in FreeBSD 3.0, replacing the lkm(4) interface.

AUTHORS
Doug Rabson <dfr@FreeBSD.org>